:root {
	--srs-background: #424B51;
	--srs-black: rgba(0, 0, 0, .8);
	/*--srs-darkgray: rgba(34, 34, 34, 0.34);*/
	--srs-darkgray: #313131;
	--srs-lightgray: #444444;
	--srs-highlight: #555;
	--srs-red: #a00000;
	--srs-red-alt: #b40000;
	--color-text-strong: #fff;
	--color-text: #ddd;
	--color-text-weak: #bbb;
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-size: 100%;
	font-weight: normal;
}

@font-face {
    font-family: 'FontTitle';
    src: url(/fonts/bankgothic-md-bt-medium-webfont.eot);
    src: url(/fonts/bankgothic-md-bt-medium-webfont.eot?#iefix) format('eot'),
         url(/fonts/bankgothic-md-bt-medium-webfont.woff) format('woff'),
         url(/fonts/bankgothic-md-bt-medium-webfont.ttf) format('truetype'),
         url(/fonts/bankgothic-md-bt-medium-webfont.svg#webfontc0f9s3aJ) format('svg');
    font-weight: bold;
    font-style: normal;
}

body {
	font-family: 'Helvetica', 'Arial', sans-serif;
	font-size: 16px;
	color: var(--color-text-weak);
	background-color: var(--srs-lightgray);

	min-width: 300px;
	width: 720px;
	padding: 1rem;
}

h1, h2, h3, h4, h5, h6 { font-family: 'FontTitle', sans-serif; color: var(--color-text-strong); }
h1 { font-size: 2.8rem; font-weight: bold; }
h2 { font-size: 2rem; }
h3 { font-size: 1.4rem; }

abbr {
	text-decoration: none;
	text-decoration: underline dotted 1px;
	background: var(--srs-highlight);
}

/****************************************************************************************
 ****************************************************************************************
 **                                                                                    **
 **  W I D G E T S                                                                     **
 **                                                                                    **
 ****************************************************************************************
 ****************************************************************************************/

button {
	padding: .5em 1em;
	margin: .5em;
	background-color: var(--srs-red);
	color: var(--color-text-strong);
	outline: none;
	border: none;
	border-radius: .25em;
	box-shadow: var(--srs-highlight) .125em .125em .25em 0;
}

.export-to-clipboard-btn {
	position: relative;
}

.export-to-clipboard-btn__success-popup {
	display: block;
	background-color: var(--srs-darkgray);
	color: var(--color-text);
	font-weight: bold;
	font-size: .9em;
	padding: .5em;
	position: absolute;
	right: calc(-100% - 0em);
	top: 0;
	border-radius: .25em;
	opacity: 0;

	transition: ease-in-out all .5s;
}
.export-to-clipboard-btn__success-popup.visible {
	display: block;
	opacity: 1;
}

.export-to-clipboard-btn__success-popup::before {
	content: '';
	width: 0;
	height: 0;
	border-top: .5em solid transparent;
	border-bottom: .5em solid transparent;
	border-right: .5em solid var(--srs-darkgray);
	position: absolute;
	left: -.5em;
}

.export-to-clipboard-btn__progress-bar {
	width: 10em;
	height: 100%;
	background-color: var(--srs-background);
	position: absolute;
	right: calc(-100% - 0em);
	top: 0;
	display: flex;
	justify-content: center;
	align-items: center;
}
.export-to-clipboard-btn__progress-bar > .progress {
	position: absolute;
	top: 0;
	left: 0;
	width: 0;
	height: 100%;
	background-color: var(--srs-red);
	z-index: 1;
}
.export-to-clipboard-btn__progress-bar > .label {
	font-size: .7em;
	z-index: 2;
}

/****************************************************************************************
 ****************************************************************************************
 **                                                                                    **
 **  P A G E S                                                                         **
 **                                                                                    **
 ****************************************************************************************
 ****************************************************************************************/

/****************************************************************************************
 *                                                                                      *
 *   Race results                                                                       *
 *                                                                                      *
 ****************************************************************************************/

.race-info {
	display: grid;
	grid-template: "series . track" auto / auto 1fr auto;
	margin: 1em 0;
}

.series-info { grid-area: series; }
.track-info { grid-area: track; }

.series-info, .track-info {
	display: grid;
	grid-template: "header" 1em "name" 1.4em / 1fr;
}

.track-info {
	text-align: right;
}

.series-info > header, .track-info > header {
	grid-area: header;
}

.series-info > .series-name, .track-info > .track-name {
	grid-area: name;
	font-family: 'FontTitle';
	font-size: 1.4em;
}

.race-result-driver {
	display: grid;
	grid-template: "position name charts time" auto / 3em 1fr 18em 6em;
	align-items: baseline;
	padding: .25em;
}
.race-result-driver:hover {
	background: var(--srs-highlight);
}

.race-result-driver__position { 
	grid-area: position;
	text-align: center;
}

.race-result-driver__name { 
	grid-area: name;
}

.race-result-driver__charts { 
	grid-area: charts;
	position: relative;
	height: 100%;
	width: 100%;
	background-color: #999;
}

.race-result-driver__lap-times-chart {
}

.race-result-driver__race-time { 
	grid-area: time;
	text-align: right;
}

/****************************************************************************************
 *                                                                                      *
 *   Season results                                                                     *
 *                                                                                      *
 ****************************************************************************************/

.season-info {
	display: grid;
	grid-template: "series . sim" auto / auto 1fr auto;
	margin: 1em 0;
}

.sim-info { grid-area: sim; }

.sim-info {
	display: grid;
	grid-template: "header" 1em "name" 1.4em / 1fr;
	text-align: right;
}

.sim-info > header {
	grid-area: header;
}

.sim-info > .sim-name {
	grid-area: name;
	font-family: 'FontTitle';
	font-size: 1.4em;
}

.season-result-track-bar {
	display: grid;
	grid-template: "title actions" auto / 1fr auto;
	background-color: var(--srs-red);
	color: var(--color-text-strong);
	padding: 1em;
}

.season-result-track__title {
	grid-area: title;
	display: flex;
	align-items: baseline;
}

.season-result-track__name {
	font-family: 'FontTitle';
	font-size: 1.2em;
	text-transform: uppercase;
}

.season-result-track__race-count {
	margin-left: .5rem;
	font-family: 'FontTitle';
	font-size: .8em;
	text-transform: uppercase;
}

.season-result-track__actions {
	grid-area: actions;
}

.season-result-race {
	display: grid;
	grid-template: "date time split track actions" auto / 7em 6em 3em 1fr 4em;
}

.season-result-race__date {
	grid-area: date;
	text-align: center;
}

.season-result-race__time { 
	grid-area: time; 
	text-align: center;
}
.season-result-race__split { 
	grid-area: split;
	text-align: center;
}
.season-result-race__track { grid-area: track; }
.season-result-race__actions { 
	grid-area: actions;
	text-align: center;
}

/****************************************************************************************
 *                                                                                      *
 *   Fastest laps                                                                       *
 *                                                                                      *
 ****************************************************************************************/

 .event-container {
	 display: none;
 }

.event-leaderboard {
}

.fastest-lap {
	display: grid;
	grid-template: "position name time" auto / 3em 1fr 6em;
}

.fastest-lap__position { grid-area: position; }
.fastest-lap__driver-name { grid-area: name; }
.fastest-lap__time { grid-area: time; }
